<?php

class Mascot_Core_Novio_Elementor_Section_Handler {
    private static $instance;
    public $sections = array();
    
    public function __construct() {
        add_action( 'elementor/element/section/_section_responsive/after_section_end', array( $this, 'render_parallax_options' ), 10, 2 );
        add_action( 'elementor/frontend/section/before_render', array( $this, 'section_before_render' ) );
        //add_action( 'elementor/frontend/element/before_render', array( $this, 'section_before_render' ) );
    }
    
    public static function get_instance() {
        if ( self::$instance === null ) {
            return new self();
        }
        
        return self::$instance;
    }
    
    public function render_parallax_options( $section, $args ) {
        $section->start_controls_section(
            'qodef_parallax',
            [
                'label' => esc_html__( 'Mascot - Core Options', 'mascot-core-elementor' ),
                'tab'   => \Elementor\Controls_Manager::TAB_ADVANCED,
            ]
        );

        $section->add_control(
            'section_typography',
            [
                'label'        => esc_html__( 'Row Typography', 'mascot-core-elementor'),
                'type'         => Elementor\Controls_Manager::SELECT,
                'default'      => 'no',
                'options' => [
                    ''  =>  esc_html__( 'Default', 'mascot-core-elementor'),
                    'section-typo-light'    =>  esc_html__( 'Light Typography - on Dark Background', 'mascot-core-elementor'),
                    'section-typo-dark'     =>  esc_html__( 'Dark Typography - on White Background', 'mascot-core-elementor')
                ],
            ]
        );
        $section->end_controls_section();
    }
    
    public function section_before_render( $widget ) {
        $data     = $widget->get_data();
        $type     = isset( $data['elType'] ) ? $data['elType'] : 'section';
        $settings = $data['settings'];
        
        if ( 'section' === $type ) {
          if ( isset( $settings['section_typography'] ) && $settings['section_typography'] != '' ) {
              $widget->add_render_attribute( '_wrapper', 'class', $settings['section_typography'] );
          }
        }
    }
}

if ( ! function_exists( 'mascot_core_novio_elementor_init_section_handler' ) ) {
    function mascot_core_novio_elementor_init_section_handler() {
        Mascot_Core_Novio_Elementor_Section_Handler::get_instance();
    }
    
    add_action( 'init', 'mascot_core_novio_elementor_init_section_handler', 1 );
} 